<?php if (!defined('PLX_ROOT')) exit;

##############################################################################################
#
# plnAdminPluginLinks
#
# Auteur : Gari
#
# Ce plugin permet d'afficher une barre de boutons clickables en haut à droite des pages
# d'administration spécifiques aux plugins.
# - lien vers la page d'administration
# - lien vers la page de configuration
# - lien vers la page des css spécfiques
# - lien vers la page d'aide
# Les liens ne sont affichés que si les pages en question existent et si on n'est pas déjà
# sur la page correspond à un lien.
# Ces liens n'apparaissent que sur les pages corresponds à ces 4 liens.
#
##############################################################################################

class plnAdminPluginLinks extends plxPlugin
{
	public function __construct($default_lang) 
	{
		parent::__construct($default_lang);

		$this->addHook('AdminTopBottom','AdminTopBottom');
	}

	##############################################################################################
	#
	# On se place en haut de la page principale côté admin
	#
	##############################################################################################
	public function AdminTopBottom()	
	{ 
		// Si nous n'invocquons pas un plugin, c'est que nous n'avons rien à faire
		if(!isset($_GET) or !isset($_GET["p"]))
			return;

		// Quelle page est appelée, avec quel plugin ?
		$Page 		= basename($_SERVER["PHP_SELF"]);
		$Plugin  	= $_GET["p"];

		switch($Page)
		{
			case "parametres_plugin.php" : 				// la page de configuration
			case "parametres_plugincss.php" :			// La page de css
			case "parametres_pluginhelp.php" :			// La page d'aide
			case "plugin.php" :							// La page d'administration
			{
				$this->plxAdmin = plxAdmin::getInstance();	
				$this->displayLinks($Page,$Plugin);		// On affiche les liens

			}
		}
	}

	##############################################################################################
	#
	# On affiche effectivement la barre de boutons
	#
	##############################################################################################
	protected function displayLinks($Page,$Plugin)
	{
		$links = array();

		// Presence du lien d'administration ?
		if($Page != "plugin.php" and is_file(PLX_PLUGINS.$Plugin.'/admin.php'))
			$links["link_admin"]  = 'plugin.php?p='.urlencode($Plugin);
		// Presence du lien de configuration ?
		if($Page != "parametres_plugin.php" and is_file(PLX_PLUGINS.$Plugin.'/config.php'))
			$links["link_config"] = 'parametres_plugin.php?p='.urlencode($Plugin);
		// lien pour le code css
		if($Page != "parametres_plugincss.php")
			$links["link_css"] 	 = 'parametres_plugincss.php?p='.urlencode($Plugin);
		// Présence de l'aide ?
		if($Page != "parametres_pluginhelp.php" and is_file(PLX_PLUGINS.$Plugin.'/lang/'.$this->plxAdmin->aConf['default_lang'].'-help.php'))
			$links["link_help"] = 'parametres_pluginhelp.php?p='.urlencode($Plugin);

		// S'il y a au moins un lien à afficher, on affiche
		if(count($links) > 0)
		{
?>
	<nav id="plnAdminPluginLinks">
		<ul>
			<?php foreach($links as $type => $href) { ?>
			<li><a title="<?php $this->lang($type)?>" class="<?php echo $type ?>" href="<?php echo $href ?>">&nbsp;</a></li>
			<?php } ?>
		</ul>
	</nav>
<?php			
		}
	}

}
